#
# spec file for package wireshark (Version 1.2.4)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           wireshark
License:        GPL v2 or later
Group:          Productivity/Networking/Diagnostic
Summary:        A Network Traffic Analyser
Version:        1.2.4
Release:        1
Url:            http://www.wireshark.org/
Source:         http://www.wireshark.org/download/src/%{name}-%{version}.tar.bz2
Source1:        include.filelist
# PATCH-FIX-OPENSUSE wireshark-1.0.8-desktop.patch bnc#349782 prusnak@suse.cz -- fix icon and run as root
Patch0:         %{name}-1.0.8-desktop.patch
# PATCH-FIX-OPENSUSE wireshark-1.2.0-disable-warning-dialog.patch bnc#349782 prusnak@suse.cz -- don't show warning when running as root
Patch1:         %{name}-1.2.0-disable-warning-dialog.patch
# PATCH-FIX-OPENSUSE wireshark-1.2.0-asneeded.patch cmorve69@yahoo.es -- compile with --as-needed
Patch2:         %{name}-1.2.0-asneeded.patch
# PATCH-FEATURE-OPENSUSE wireshark-1.2.0-geoip.patch prusnak@suse.cz -- search in /var/lib/GeoIP if user hasn't set any GeoIP folders
Patch3:         %{name}-1.2.0-geoip.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       xdg-utils
Provides:       ethereal = %{version}
Obsoletes:      ethereal < %{version}
BuildRequires:  bison
BuildRequires:  cairo-devel
BuildRequires:  flex
BuildRequires:  gtk2-devel
BuildRequires:  krb5-devel
BuildRequires:  libcap-devel
BuildRequires:  libcares-devel
BuildRequires:  libgcrypt-devel
%if 0%{?suse_version} > 1100
BuildRequires:  libGeoIP-devel
Recommends:     GeoIP
%endif
BuildRequires:  libgnutls-devel
BuildRequires:  libpcap-devel
BuildRequires:  libsmi-devel
BuildRequires:  lua-devel
BuildRequires:  net-snmp-devel
BuildRequires:  openssl-devel
BuildRequires:  pcre-devel
BuildRequires:  portaudio-devel
BuildRequires:  python
BuildRequires:  tcpd-devel
BuildRequires:  update-desktop-files
BuildRequires:  xdg-utils
BuildRequires:  zlib-devel

%description
Wireshark is a free network protocol analyzer for Unix and Windows. It
allows you to examine data from a live network or from a capture file
on disk. You can interactively browse the capture data, viewing summary
and detail information for each packet. Wireshark has several powerful
features, including a rich display filter language and the ability to
view the reconstructed stream of a TCP session.



Authors:
--------
    Gerald Combs <gerald[AT]ethereal.com>
    Gilbert Ramirez <gram[AT]alumni.rice.edu>
    Hannes R. Boehm <hannes[AT]boehm.org>
    Mike Hall <mike[AT]hallzone.net>
    Bobo Rajec <bobo[AT]bsp-consulting.sk>
    Laurent Deniel <laurent.deniel[AT]free.fr>
    Don Lafontaine <lafont02[AT]cn.ca>
    Guy Harris <guy[AT]alum.mit.edu>
    Simon Wilkinson <sxw[AT]dcs.ed.ac.uk>
    Joerg Mayer <jmayer[AT]loplof.de>
    Martin Maciaszek <fastjack[AT]i-s-o.net>
    Didier Jorand <Didier.Jorand[AT]alcatel.fr>
    Jun-ichiro itojun Hagino <itojun[AT]itojun.org>
    Richard Sharpe <sharpe[AT]ns.aus.com>
    John McDermott <jjm[AT]jkintl.com>
    Jeff Jahr <jjahr[AT]shastanets.com>
    Brad Robel-Forrest <bradr[AT]watchguard.com>
    Ashok Narayanan <ashokn[AT]cisco.com>
    Aaron Hillegass <aaron[AT]classmax.com>
    Jason Lango <jal[AT]netapp.com>
    Johan Feyaerts <Johan.Feyaerts[AT]siemens.atea.be>
    Olivier Abad <oabad[AT]noos.fr>
    and many others. For details see /usr/share/doc/packages/wireshark/AUTHORS

%package devel
License:        GPL v2 or later
Summary:        A Network Traffic Analyser
Group:          Productivity/Networking/Diagnostic
Requires:       %{name} = %{version} glibc-devel glib2-devel
Provides:       ethereal-devel = %{version}
Obsoletes:      ethereal-devel < %{version}

%description devel
Wireshark is a free network protocol analyzer for Unix and Windows. It
allows you to examine data from a live network or from a capture file
on disk. You can interactively browse the capture data, viewing summary
and detail information for each packet. Wireshark has several powerful
features, including a rich display filter language and the ability to
view the reconstructed stream of a TCP session.



Authors:
--------
    Gerald Combs <gerald[AT]ethereal.com>
    Gilbert Ramirez <gram[AT]alumni.rice.edu>
    Hannes R. Boehm <hannes[AT]boehm.org>
    Mike Hall <mike[AT]hallzone.net>
    Bobo Rajec <bobo[AT]bsp-consulting.sk>
    Laurent Deniel <laurent.deniel[AT]free.fr>
    Don Lafontaine <lafont02[AT]cn.ca>
    Guy Harris <guy[AT]alum.mit.edu>
    Simon Wilkinson <sxw[AT]dcs.ed.ac.uk>
    Joerg Mayer <jmayer[AT]loplof.de>
    Martin Maciaszek <fastjack[AT]i-s-o.net>
    Didier Jorand <Didier.Jorand[AT]alcatel.fr>
    Jun-ichiro itojun Hagino <itojun[AT]itojun.org>
    Richard Sharpe <sharpe[AT]ns.aus.com>
    John McDermott <jjm[AT]jkintl.com>
    Jeff Jahr <jjahr[AT]shastanets.com>
    Brad Robel-Forrest <bradr[AT]watchguard.com>
    Ashok Narayanan <ashokn[AT]cisco.com>
    Aaron Hillegass <aaron[AT]classmax.com>
    Jason Lango <jal[AT]netapp.com>
    Johan Feyaerts <Johan.Feyaerts[AT]siemens.atea.be>
    Olivier Abad <oabad[AT]noos.fr>
    and many others. For details see /usr/share/doc/packages/wireshark/AUTHORS

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3

%build
%configure
make %{?jobs:-j%jobs}

%install
make "DESTDIR=$RPM_BUILD_ROOT" install
ln -fs wireshark $RPM_BUILD_ROOT%{_bindir}/ethereal
ln -fs tshark $RPM_BUILD_ROOT%{_bindir}/tethereal
install -d -m 0755 $RPM_BUILD_ROOT%{_sysconfdir}
install -d -m 0755 $RPM_BUILD_ROOT%{_mandir}/man1/
install -m 0644 *.1 $RPM_BUILD_ROOT%{_mandir}/man1/
%suse_update_desktop_file -i wireshark System Network
find $RPM_BUILD_ROOT -name "*.la" -exec rm {} \;
install -d -m 0755  $RPM_BUILD_ROOT%{_includedir}/wireshark
for i in `cat %{SOURCE1}`; do
    install -m 644 $i $RPM_BUILD_ROOT%{_includedir}/wireshark
done
install -D -m 0644 image/wsicon48.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/wireshark.png

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README README.linux README.vmware
%{_mandir}/man1/[^i]*
%{_mandir}/man4/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/wireshark.png
%{_bindir}/[^i]*
%{_libdir}/lib*.so.*
%{_libdir}/wireshark
%{_datadir}/wireshark

%files devel
%defattr(-,root,root)
%doc doc/README.*
%{_includedir}/wireshark
%{_libdir}/*.so
%{_bindir}/idl2wrs
%{_mandir}/man1/idl2wrs*

%changelog
